## com.baidubce.services.bmr.model
Class ListStepsRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bmr.model.ListStepsRequest

    public class ListStepsRequest

extends AbstractBceRequest

Provides options for listing steps. The essential option is cluster ID, and the optional query parameters are marker and max keys.

Constructor Summary
`ListStepsRequest()`

Method Summary
`String` `getClusterId()`
`String` `getMarker()`
`int` `getMaxKeys()`
`void` `setClusterId(String clusterId)`
`void` `setMarker(String marker)`
`void` `setMaxKeys(int maxKeys)`
`ListStepsRequest` `withClusterId(String clusterId)` Configure the cluster ID on which the target steps run.
`ListStepsRequest` `withMarker(String marker)` Configure the marker for the query request.
`ListStepsRequest` `withMaxKeys(int maxKeys)` Configure the max count for each response page.
`ListStepsRequest` `withRequestCredentials(BceCredentials credentials)` Configure request credential for the request.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListStepsRequest

    public ListStepsRequest()

Method Detail

### getClusterId

    public String getClusterId()

### setClusterId

    public void setClusterId(String clusterId)

### getMarker

    public String getMarker()

### setMarker

    public void setMarker(String marker)

### getMaxKeys

    public int getMaxKeys()

### setMaxKeys

    public void setMaxKeys(int maxKeys)

### withClusterId

    public ListStepsRequest withClusterId(String clusterId)

  Configure the cluster ID on which the target steps run.

  Parameters:
    `clusterId` - The cluster ID.
  Returns:
    ListStepsRequest

### withMarker

    public ListStepsRequest withMarker(String marker)

  Configure the marker for the query request. The marker marks the starting point for the query.

  Parameters:
    `marker` -
  Returns:
    ListStepsRequest

### withMaxKeys

    public ListStepsRequest withMaxKeys(int maxKeys)

  Configure the max count for each response page. The max keys can not more than 1000, any number exceeding 1000 will be reset to 1000.

  Parameters:
    `maxKeys` - The max count for each response page.
  Returns:
    ListStepsRequest

### withRequestCredentials

    public ListStepsRequest withRequestCredentials(BceCredentials credentials)

  Configure request credential for the request.

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`
  Parameters:
    `credentials` - a valid instance of BceCredentials.
  Returns:
    ListStepsRequest

Copyright © 2016. All rights reserved.